using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Model;
using oDataScaffoldingSample.Models;

namespace oDataScaffoldingSample.Controllers
{   
    public class PeopleController : Controller
    {
        private oDataScaffoldingSampleContext context = new oDataScaffoldingSampleContext();

        //
        // GET: /People/

        public ViewResult Index()
        {
            return View(context.People.ToList());
        }

        //
        // GET: /People/Details/5

        public ViewResult Details(int id)
        {
            Person person = context.People.Where(x => x.PersonID == id).ToList().Single();
            return View(person);
        }

        //
        // GET: /People/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /People/Create

        [HttpPost]
        public ActionResult Create(Person person)
        {
            if (ModelState.IsValid)
            {
                context.AddToPeople(person);
                context.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(person);
        }
        
        //
        // GET: /People/Edit/5
 
        public ActionResult Edit(int id)
        {
            Person person = context.People.Where(x => x.PersonID == id).ToList().Single();
            return View(person);
        }

        //
        // POST: /People/Edit/5

        [HttpPost]
        public ActionResult Edit(Person person)
        {
            if (ModelState.IsValid)
            {
                context.AttachToPeople(person);
                context.UpdateObject(person);
                context.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(person);
        }

        //
        // GET: /People/Delete/5
 
        public ActionResult Delete(int id)
        {
            Person person = context.People.Single(x => x.PersonID == id);
            return View(person);
        }

        //
        // POST: /People/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            Person person = context.People.Where(x => x.PersonID == id).ToList().Single();
            context.DeleteFromPeople(person);
            context.SaveChanges();
            return RedirectToAction("Index");
        }
    }
}